GPT Image 2

This guide shows how to generate images using GPT Image-2.0 model via the Leonardo.AI REST API.

This guide shows how to generate images using GPT Image-2.0 model via the Leonardo.AI REST API.

Sample Request

curl --location 'https://cloud.leonardo.ai/api/rest/v2/generations' \
     --header 'authorization: Bearer {api-key}' \
     --header 'Content-Type: application/json' \
     --data '{
       "public": false,
       "model": "gpt-image-2",
       "parameters": {
           "quality": "MEDIUM",
           "prompt": "Koala with purple hat",
           "quantity": 2,
           "width": 1376,
           "height": 768,
           "prompt_enhance": "OFF",
           "guidances": {
               "image_reference": [
                   {
                       "image": {
                         "id": "00000000-0000-0000-0000-000000000001",
                         "type": "UPLOADED"
                       }
                   }
               ]
           }
        }
     }'

Recipe

API Request Endpoint, Headers, Parameters

Endpoint

https://cloud.leonardo.ai/api/rest/v2/generations

Headers

--header "accept: application/json" \
--header "authorization: Bearer <YOUR_API_KEY>" \
--header "content-type: application/json"

Body Parameters

ParameterTypeDefinition
guidancesobjectOptional. Object defining image guidance inputs that influence the generated result.
guidances.image_referencearrayOptional. Array of up to 6 reference images. Each reference includes image.id, image.type (GENERATED or UPLOADED). Note: GPT Image 2 does not use strength for image references.
heightintegerOptional. Height input resolution.
modelstringRequired. Model identifier. Set to gpt-image-2.
promptstringRequired. Text prompt describing what image you want the model to generate.
prompt_enhancestringOptional. Enables prompt enhancement when set to "ON"; disabled when set to "OFF".
publicbooleanOptional. Boolean flag that determines whether the generation is public (true) or private (false).
qualitystringOptional. Accepts LOW, MEDIUM, or HIGH.
quantityintegerOptional. Number of images to generate in a single request (1-8).
widthintegerOptional. Width input resolution.

Aspect Ratio Settings

Aspect RatioWidthHeight
1:110241024
2:38481264
3:21264848
16:91376768
9:167681376

Resolution Constraints

GPT Image 2 supports flexible custom resolutions with the following constraints:

  • Max edge length
    max(width, height) < 3840
  • Multiple of 16
    Both width and height must be multiples of 16.
  • Aspect ratio limit
    Let long = max(width, height) and short = min(width, height).
    long / short โ‰ค 3
    (No aspect ratio wider than 3:1 or taller than 1:3.)
  • Pixel count range
    655,360 โ‰ค width ร— height โ‰ค 8,294,400
  • No auto sizing
    size: "auto" is not supported and must not be passed to the API.